/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package info.aspirecn.iov.sjjh.constant;

import io.swagger.models.auth.In;

/**
 * 通用常量
 */
public class Constants {
    // 签名算法HmacSha256
    public static final String HMAC_SHA256 = "HmacSHA256";
    // 编码UTF-8
    public static final String ENCODING = "UTF-8";
    // 换行符
    public static final String LF = "\n";
    // 串联符
    public static final String SPE1 = ",";
    // 示意符
    public static final String SPE2 = ":";
    // 连接符
    public static final String SPE3 = "&";
    // 赋值符
    public static final String SPE4 = "=";
    // 问号符
    public static final String SPE5 = "?";
    // 默认请求超时时间,单位毫秒
    public static final int DEFAULT_TIMEOUT = 1000;
    // 参与签名的系统Header前缀,只有指定前缀的Header才会参与到签名中
    public static final String CA_HEADER_TO_SIGN_PREFIX_SYSTEM = "X-Ca-";
    // 参数值为0
    public static final int PARA_ZERO = 0;
    // statusCode-200
    public static final int STATUS_CODE_200 = 200;
    // resultCode-0
    public static final String RESULT_CODE_0 = "0";
    // resultCode-110000
    public static final String RESULT_CODE_110000 = "110000";
    // 查询成功，查无结果
    public static final String NO_RESULT = "查询成功，查无结果";
    // isCharge
    public static String Charge_Log_Key="isCharge";
    // respnoseCode
    public static String Charge_Log_ResponseCode="respnoseCode";
    // application/json;charset=UTF-8
    public static final String APPLICATION_JSON_UTF8_VALUE = "application/json;charset=UTF-8";
    // 车辆运输许可证、人员从业资格证、企业道路运输许可证返回码  resultCode-0
    public static final String CERTIFICATE_CHECK_RESULT_CODE_0 = "0";
    // 车辆运输许可证、人员从业资格证、企业道路运输许可证返回码  resultCode-110000
    public static final String CERTIFICATE_CHECK_RESULT_CODE_110000 = "110000";
    // 车辆运输许可证、人员从业资格证、企业道路运输许可证返回码  resultCode-140001
    public static final String CERTIFICATE_CHECK_RESULT_CODE_140001 = "140001";
    // 车辆运输许可证、人员从业资格证、企业道路运输许可证返回码  resultCode-140002
    public static final String CERTIFICATE_CHECK_RESULT_CODE_140002 = "140002";

    // 不一致字段-vehicleNumber
    public static final String UN_MATCH_VEHICLE_NUMBER = "车辆牌照号";
    // 不一致字段-roadTransportCertificateNumber
    public static final String UN_MATCH_ROAD_TRANSPORT_CERTIFICATE_NUMBER = "道路运输证号";
    // 不一致字段-roadTransportCertificateValidPeriodFrom
    public static final String UN_MATCH_CERTIFICATE_VALID_PERIOD_FROM = "道路运输证有效期自";
    // 不一致字段-roadTransportCertificateValidPeriodTo
    public static final String UN_MATCH_CERTIFICATE_VALID_PERIOD_TO = "道路运输证有效期至";

    // 不一致字段-driverName
    public static final String UN_MATCH_DRIVER_NAME = "姓名";
    // 不一致字段-drivingLicense
    public static final String UN_MATCH_DRIVING_LICENSE = "身份证号";
    // 不一致字段-provinceCode
    public static final String UN_MATCH_PROVINCE_CODE = "从业资格证省份区划代码";
    // 不一致字段-qualificationCertificate
    public static final String UN_MATCH_QUALIFICATION_CERTIFICATE = "从业资格证号";
    // 不一致字段-qualificationCertificateValidPeriodFrom
    public static final String UN_MATCH_QUALIFICATION_CERTIFICATE_FROM = "从业资格证有效期自";
    // 不一致字段-qualificationCertificateValidPeriodTo
    public static final String UN_MATCH_QUALIFICATION_CERTIFICATE_TO = "从业资格证有效期至";

    // 不一致字段-carrier
    public static final String UN_MATCH_CARRIER = "网络货运经营者名称";
    // 不一致字段-permitNumber
    public static final String UN_MATCH_PERMIT_NUMBER = "道路运输经营许可证编号";
    // 不一致字段-permitValidPeriodFrom
    public static final String UN_MATCH_PERMIT_VALID_PERIOD_FROM = "道路运输经营许可证有效期自";
    // 不一致字段-permitValidPeriodTo
    public static final String UN_MATCH_PERMIT_VALID_PERIOD_TO = "道路运输经营许可证有效期至";

    public static final int REQUEST_TIMEOUT = -2;

    // 访问次数已达上限
    public static final int REQUEST_LIMIT = 5;

    public static final String REQUEST_LIMIT_MESSAGE = "访问次数已达上限";
}
