package info.aspirecn.iov.sjjh.entity.geocoding;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * 逆地理编码接口响应对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class GeocodingResponseObject {

	/**返回结果状态值， 成功返回0，其他值请查看下方返回码状态表。*/
	@JsonProperty("status")
	private int status;
	@JsonProperty("result")
	private GeocodingResponseChildObject result;

	@Data
	public static class GeocodingResponseChildObject {
		/**经纬度坐标*/
		@JsonProperty("location")
		private Location location;
		/**结构化地址信息*/
		@JsonProperty("formatted_address")
		private String formatted_address;
		/**坐标所在商圈信息，如 "人民大学,中关村,苏州街"。最多返回3个。*/
		@JsonProperty("business")
		private String business;
		@JsonProperty("addressComponent")
		private AddressComponent addressComponent;
		/**（周边poi数组）*/
		@JsonProperty("pois")
		private List<Pois> pois;
		@JsonProperty("poiRegions")
		private List<PoiRegions> poiRegions;
		@JsonProperty("roads")
		private List<String> roads;
		/**当前位置结合POI的语义化结果描述。*/
		@JsonProperty("sematic_description")
		private String sematic_description;
		/**百度定义的城市id（正常更新与维护，但建议使用adcode）*/
		@JsonProperty("cityCode")
		private int cityCode;
	}

}
