package info.aspirecn.iov.sjjh.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import info.aspirecn.iov.sjjh.enums.VehicleHistoryPositionQueryType;

import javax.servlet.http.HttpServletRequest;

/**
 * @author xusonglin
 * @version V1.0
 **/
public interface VehicleService {

    /**
     * 车辆历史轨迹
     */
    ChannelTypeHandleResponseObject vehicleHistoryPositionQuery(HttpServletRequest request, String customBody,
                                                                        int outTime, Integer type);

    /**
     * 车辆运输许可证核验接口
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject checkVehicleRoadTransport(HttpServletRequest request, String customBody,
                                                                int outTime);

    /**
     * 人员从业资格证核验接口
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject checkPersonQualificationCertificate(HttpServletRequest request, String customBody,
                                                              int outTime);

    /**
     * 企业道路运输经营许可证核验接口
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject checkEnterpriseRoadTransport(HttpServletRequest request, String customBody,
                                                              int outTime);

    /**
     * 车辆入网核验
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
    ChannelTypeHandleResponseObject checkVehicleExist(HttpServletRequest request, String customBody,
                                                      int outTime);
}
